/******************************************************************************
*                                             COPYRIGHT (c) MOTOROLA 2000   
* FILE NAME: peripherals.c     REVISION 1.0                                        
*                                                                           
* PURPOSE: declaration of peripheral variables for Star12							                                                                                                                                                      
*                                                                           
* DESCRIPTION:  declarations of control register blocks for on-chip peripherals.        
*                                                                           
*                                                                           
* AUTHOR: Martyn Gallop        LOCATION: EKB Apps      LAST EDIT DATE: 14.08.01  
*                                                                           
* UPDATE HISTORY                                                            
* REV      	AUTHOR      DATE       	DESCRIPTION OF CHANGE                    
* ---      	------      ---------   ---------------------                    
* 1.0      	M.Gallop    14/08/01	Original coding                                         
* 1.1	    M.Gallop    08/10/01	Updated SECTIONS names: 
*										DP256_PLL   => DP256_CRG                                                                       
*										DP256_Timer => DP256_TIMER                                                                       
*										DP256_Regs  => DP256_REGS
*									Problem was found because PLL registers
*									were being placed into the RAM space.
*									Changed Regs & Timer to be consistant with 
*									the .prm file                                                                       
*                                                                           
******************************************************************************/
/*===========================================================================*/
/* Motorola reserves the right to make changes without further notice to any */
/* product herein to improve reliability, function, or design. Motorola does */
/* not assume any  liability arising  out  of the  application or use of any */
/* product,  circuit, or software described herein;  neither  does it convey */
/* any license under its patent rights  nor the  rights of others.  Motorola */
/* products are not designed, intended,  or authorized for use as components */
/* in  systems  intended  for  surgical  implant  into  the  body, or  other */
/* applications intended to support life, or  for any  other application  in */
/* which the failure of the Motorola product  could create a situation where */
/* personal injury or death may occur. Should Buyer purchase or use Motorola */
/* products for any such intended  or unauthorized  application, Buyer shall */
/* indemnify and  hold  Motorola  and its officers, employees, subsidiaries, */
/* affiliates,  and distributors harmless against all claims costs, damages, */
/* and expenses, and reasonable  attorney  fees arising  out of, directly or */
/* indirectly,  any claim of personal injury  or death  associated with such */
/* unintended or unauthorized use, even if such claim alleges that  Motorola */
/* was negligent regarding the  design  or manufacture of the part. Motorola */
/* and the Motorola logo* are registered trademarks of Motorola Ltd.         */
/*****************************************************************************/

#include "s12_common.h"
#include "s12_register.h"
#include "s12_pim.h"
#include "s12_timer.h"
#include "s12_page.h"
#include "s12_pwm.h"

#pragma DATA_SEG S12_REG  	
								tREGISTER 	Regs;
#pragma DATA_SEG S12_TIMER		
								tTIMER		Timer; 
#pragma DATA_SEG S12_PIM		
								tPIM		Pim; 
#pragma DATA_SEG S12_PWM   	
								tPWM		Pwm;
#pragma DATA_SEG S12_PAGE  	
								tPAGE	    Page;							
#pragma DATA_SEG DEFAULT
  

